# Uses of Class
org.opensaml.xmlsec.agreement.KeyAgreementProcessorRegistry

Packages that use KeyAgreementProcessorRegistry
Package
Description
org.opensaml.xmlsec.agreement
API components related to key agreement operations.

## Uses of KeyAgreementProcessorRegistry in org.opensaml.xmlsec.agreement

Methods in org.opensaml.xmlsec.agreement that return KeyAgreementProcessorRegistry
Modifier and Type
Method
Description
`static KeyAgreementProcessorRegistry`
KeyAgreementSupport.`ensureGlobalProcessorRegistry()`
Get the global `KeyAgreementProcessorRegistry` instance, raising an exception if unavailable.
`static KeyAgreementProcessorRegistry`
KeyAgreementSupport.`getGlobalProcessorRegistry()`
Get the global `KeyAgreementProcessorRegistry` instance.